org.appng.api.rest.auth

## Enum OAuthFlow

- java.lang.Object
- - java.lang.Enum<OAuthFlow>
  - - org.appng.api.rest.auth.OAuthFlow

- All Implemented Interfaces:
    Serializable, Comparable<OAuthFlow>

      public enum OAuthFlow
      extends Enum<OAuthFlow>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accessCode`
    `application`
    `implicit`
    `password`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuthFlow` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OAuthFlow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accessCode

          public static final OAuthFlow accessCode

    - #### implicit

          public static final OAuthFlow implicit

    - #### password

          public static final OAuthFlow password

    - #### application

          public static final OAuthFlow application

  - ### Method Detail

    - #### values

          public static OAuthFlow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OAuthFlow c : OAuthFlow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OAuthFlow valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.